package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ActivityEpubContentBindingImpl extends ActivityEpubContentBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = new androidx.databinding.ViewDataBinding.IncludedLayouts(10);
        sIncludes.setIncludes(1, 
            new String[] {"appbar_material_with_progress"},
            new int[] {5},
            new int[] {com.toughra.ustadmobile.R.layout.appbar_material_with_progress});
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.epub_page_recycler_view, 6);
        sViewsWithIds.put(R.id.activity_basepoint_navigationview, 7);
        sViewsWithIds.put(R.id.item_basepoint_cover_header_area, 8);
        sViewsWithIds.put(R.id.activity_container_epubpager_toclist, 9);
    }
    // views
    @NonNull
    private final android.widget.TextView mboundView4;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ActivityEpubContentBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 10, sIncludes, sViewsWithIds));
    }
    private ActivityEpubContentBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 1
            , (com.google.android.material.navigation.NavigationView) bindings[7]
            , (com.ustadmobile.port.android.view.TocListView) bindings[9]
            , (com.toughra.ustadmobile.databinding.AppbarMaterialWithProgressBinding) bindings[5]
            , (androidx.drawerlayout.widget.DrawerLayout) bindings[0]
            , (android.widget.RelativeLayout) bindings[1]
            , (androidx.recyclerview.widget.RecyclerView) bindings[6]
            , (android.widget.RelativeLayout) bindings[8]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            , (android.widget.TextView) bindings[3]
            );
        setContainedBinding(this.appbar);
        this.containerDrawerLayout.setTag(null);
        this.containerRelativeLayout.setTag(null);
        this.itemBasepointCoverImg.setTag(null);
        this.itemBasepointCoverTitle.setTag(null);
        this.mboundView4 = (android.widget.TextView) bindings[4];
        this.mboundView4.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x10L;
        }
        appbar.invalidateAll();
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        if (appbar.hasPendingBindings()) {
            return true;
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.containerTitle == variableId) {
            setContainerTitle((java.lang.String) variable);
        }
        else if (BR.coverImage == variableId) {
            setCoverImage((java.lang.String) variable);
        }
        else if (BR.authorName == variableId) {
            setAuthorName((java.lang.String) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setContainerTitle(@Nullable java.lang.String ContainerTitle) {
        this.mContainerTitle = ContainerTitle;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.containerTitle);
        super.requestRebind();
    }
    public void setCoverImage(@Nullable java.lang.String CoverImage) {
        this.mCoverImage = CoverImage;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.coverImage);
        super.requestRebind();
    }
    public void setAuthorName(@Nullable java.lang.String AuthorName) {
        this.mAuthorName = AuthorName;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.authorName);
        super.requestRebind();
    }

    @Override
    public void setLifecycleOwner(@Nullable androidx.lifecycle.LifecycleOwner lifecycleOwner) {
        super.setLifecycleOwner(lifecycleOwner);
        appbar.setLifecycleOwner(lifecycleOwner);
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
            case 0 :
                return onChangeAppbar((com.toughra.ustadmobile.databinding.AppbarMaterialWithProgressBinding) object, fieldId);
        }
        return false;
    }
    private boolean onChangeAppbar(com.toughra.ustadmobile.databinding.AppbarMaterialWithProgressBinding Appbar, int fieldId) {
        if (fieldId == BR._all) {
            synchronized(this) {
                    mDirtyFlags |= 0x1L;
            }
            return true;
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String containerTitle = mContainerTitle;
        java.lang.String coverImage = mCoverImage;
        java.lang.String authorName = mAuthorName;

        if ((dirtyFlags & 0x12L) != 0) {
        }
        if ((dirtyFlags & 0x14L) != 0) {
        }
        if ((dirtyFlags & 0x18L) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0x14L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.ImageViewBindingsKt.setImageFilePath(this.itemBasepointCoverImg, coverImage, androidx.appcompat.content.res.AppCompatResources.getDrawable(itemBasepointCoverImg.getContext(), R.drawable.cover));
        }
        if ((dirtyFlags & 0x12L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemBasepointCoverTitle, containerTitle);
        }
        if ((dirtyFlags & 0x18L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView4, authorName);
        }
        executeBindingsOn(appbar);
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): appbar
        flag 1 (0x2L): containerTitle
        flag 2 (0x3L): coverImage
        flag 3 (0x4L): authorName
        flag 4 (0x5L): null
    flag mapping end*/
    //end
}